<?php
/**
 ------------------------------------------------------------------------
 SOLIDRES - Accommodation booking extension for Joomla
 ------------------------------------------------------------------------
 * @author    Solidres Team <contact@solidres.com>
 * @website   https://www.solidres.com
 * @copyright Copyright (C) 2013 - 2019 Solidres. All Rights Reserved.
 * @license   GNU General Public License version 3, or later
 ------------------------------------------------------------------------
 */

defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');
$user      = JFactory::getUser();
$userId    = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn  = $this->state->get('list.direction');
$saveOrder = $listOrder == 'a.ordering';
$canDo     = SolidresHelper::getActions();

if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_solidres&task=statuses.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'statusesList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);
	$document = JFactory::getDocument();
	$rootUrl  = JUri::root(true);
	unset($document->_scripts[$rootUrl . '/media/jui/js/jquery.ui.core.min.js']);
	unset($document->_scripts[$rootUrl . '/media/jui/js/jquery.ui.sortable.min.js']);
}

?>

<div id="solidres">
    <div class="<?php echo SR_UI_GRID_CONTAINER ?>">
		<?php echo SolidresHelperSideNavigation::getSideNavigation($this->getName()); ?>
        <div id="sr_panel_right" class="sr_list_view <?php echo SR_UI_GRID_COL_10 ?>">
            <form action="<?php echo JRoute::_('index.php?option=com_solidres&view=statuses'); ?>" method="post"
                  name="adminForm" id="adminForm">
				<?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
                <table id="statusesList" class="table table-striped">
                    <thead>
                    <tr>
                        <th width="1%" class="nowrap center hidden-phone">
							<?php echo JHtml::_('searchtools.sort', '', 'a.ordering', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING', 'icon-menu-2'); ?>
                        </th>
                        <th width="1%" class="center nowrap hidden-phone">
							<?php echo JHtml::_('grid.checkall'); ?>
                        </th>
                        <th width="1%" class="center nowrap hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'SR_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
                        </th>
                        <th>
							<?php echo JHtml::_('searchtools.sort', 'SR_STATUS_LABEL', 'a.label', $listDirn, $listOrder); ?>
                        </th>
                        <th width="1%" class="center nowrap hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'SR_HEADING_PUBLISHED', 'a.state', $listDirn, $listOrder); ?>
                        </th>
                        <th width="10%" class="center nowrap hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'SR_STATUS_TYPE', 'a.type', $listDirn, $listOrder); ?>
                        </th>
                        <th width="10%" class="center nowrap hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'SR_STATUS_CODE_LABEL', 'a.code', $listDirn, $listOrder); ?>
                        </th>
                        <th width="10%" class="center nowrap">
							<?php echo JHtml::_('searchtools.sort', 'SR_STATUS_COLOR_CODE_LABEL', 'a.color_code', $listDirn, $listOrder); ?>
                        </th>
                    </tr>
                    </thead>
                    <tbody>
					<?php foreach ($this->items as $i => $item): ?>
                        <tr>
                            <td class="order nowrap center hidden-phone">
								<?php
								$iconClass = '';

								if (!$canDo->get('core.edit'))
								{
									$iconClass = ' inactive';
								}
                                elseif (!$saveOrder)
								{
									$iconClass = ' inactive tip-top hasTooltip" title="' . JHtml::_('tooltipText', 'JORDERINGDISABLED');
								}
								?>
                                <span class="sortable-handler<?php echo $iconClass; ?>">
								    <span class="icon-menu" aria-hidden="true"></span>
							    </span>
								<?php if ($canDo->get('core.edit') && $saveOrder) : ?>
                                    <input type="text" style="display:none" name="order[]" size="5"
                                           value="<?php echo $item->ordering; ?>" class="width-20 text-area-order"/>
								<?php endif; ?>
                            <td class="center nowrap hidden-phone">
								<?php echo JHtml::_('grid.id', $i, $item->id); ?>
                            </td>
                            <td class="center nowrap hidden-phone">
								<?php echo (int) $item->id; ?>
                            </td>
                            <td>
								<?php if ($canDo->get('core.create') || $canDo->get('core.edit')) : ?>
                                    <a href="<?php echo JRoute::_('index.php?option=com_solidres&task=status.edit&id=' . (int) $item->id, false); ?>">
										<?php echo $this->escape($item->label); ?>
                                    </a>
								<?php else : ?>
									<?php echo $this->escape($item->label); ?>
								<?php endif; ?>
                            </td>
                            <td class="center nowrap hidden-phone">
								<?php echo JHtml::_('jgrid.published', $item->state, $i, 'statuses.', $canDo->get('core.edit')); ?>
                            </td>

                            <td class="center nowrap hidden-phone">
								<?php echo JText::_('SR_TYPE_' . ($item->type ? 'PAYMENT' : 'RESERVATION') . '_STATUS'); ?>
                            </td>

                            <td class="center nowrap">
                                <span class="badge badge-info"><?php echo $item->code; ?></span>
                            </td>

                            <td class="center nowrap" style="text-transform: uppercase">
                                <div style="display: inline-block; width: 14px; height: 14px; border-radius: 3px; background: <?php echo $item->color_code; ?>"></div>
								<?php echo $item->color_code; ?>
                            </td>
                        </tr>
					<?php endforeach; ?>
                    </tbody>
                </table>
				<?php echo $this->pagination->getListFooter(); ?>
                <input type="hidden" name="task" value=""/>
                <input type="hidden" name="boxchecked" value="0"/>
				<?php echo JHtml::_('form.token'); ?>
            </form>
        </div>
    </div>
	<?php if (JComponentHelper::getParams('com_solidres')->get('show_solidres_copyright')): ?>
        <div class="<?php echo SR_UI_GRID_CONTAINER ?>">
            <div class="<?php echo SR_UI_GRID_COL_12 ?> powered">
                <p>Powered by <a href="https://www.solidres.com" target="_blank">Solidres</a></p>
            </div>
        </div>
	<?php endif; ?>
</div>