<?php
/**
 ------------------------------------------------------------------------
 SOLIDRES - Accommodation booking extension for Joomla
 ------------------------------------------------------------------------
 * @author    Solidres Team <contact@solidres.com>
 * @website   https://www.solidres.com
 * @copyright Copyright (C) 2013 - 2019 Solidres. All Rights Reserved.
 * @license   GNU General Public License version 3, or later
 ------------------------------------------------------------------------
 */

defined('_JEXEC') or die;

echo SRLayoutHelper::render('emails.header', $displayData);

extract($displayData);

?>

    <table class="body">
        <tr>
            <td class="center" align="center" valign="top">
                <center>

                    <!-- Begin email header -->
                    <table class="row header">
                        <tr>
                            <td class="center" align="center">
                                <center>

                                    <table class="container">
                                        <tr>
                                            <td class="wrapper last">

                                                <table class="twelve columns">
                                                    <tr>
                                                        <td class="six sub-columns">
															<?php
															$assetLogo = $asset->params['logo'];
															if (isset($assetLogo) && !empty($assetLogo)) :
																if (file_exists(JPATH_ROOT . '/media/com_solidres/assets/images/system/' . $assetLogo)) :
																	?>
                                                                    <img src="<?php echo SRURI_MEDIA . '/assets/images/system/' . $assetLogo ?>"
                                                                         alt="logo"/>
																<?php endif; endif ?>
                                                        </td>
                                                        <td class="six sub-columns last"
                                                            style="text-align:right; vertical-align:middle;">
                                                            <span class="template-label"><?php echo JText::_('SR_EMAIL_CONFIRM_RESERVATION') ?></span><br/>
                                                            <span class="template-label">
															<a href="<?php echo $editLink ?>" target="_blank">
															<?php echo JText::sprintf('SR_EMAIL_REF_ID', $reservation->code) ?>
															</a>
														</span>
                                                        </td>
                                                        <td class="expander"></td>
                                                    </tr>
                                                </table>

                                            </td>
                                        </tr>
                                    </table>

                                </center>
                            </td>
                        </tr>
                    </table>
                    <!-- End of email header -->

                    <!-- Begin of email body -->
                    <table class="container">
                        <tr>
                            <td>

                                <table class="row callout">
                                    <tr>
                                        <td class="wrapper last">

                                            <table class="twelve columns">
                                                <tr>
                                                    <td>
                                                        <h3><?php echo JText::sprintf('SR_EMAIL_GREETING_NAME_OWNER') ?></h3>

                                                        <p>&nbsp;</p>

														<?php echo $greetingText ?>

                                                    </td>
                                                    <td class="expander"></td>
                                                </tr>
                                            </table>

                                        </td>
                                    </tr>
                                </table>

                                <h5 class="email_heading"><?php echo JText::_("SR_GENERAL_INFO") ?></h5>

                                <table class="row">
                                    <tr>
                                        <td class="wrapper">

                                            <table class="six columns">
                                                <tr>
                                                    <td>
                                                        <p><?php echo JText::_('SR_EMAIL_CHECKIN') . JDate::getInstance($reservation->checkin, $timezone)->format($dateFormat, true) ?></p>
                                                        <p><?php echo JText::_('SR_EMAIL_CHECKOUT') . JDate::getInstance($reservation->checkout, $timezone)->format($dateFormat, true) ?></p>
                                                        <p><?php echo JText::_('SR_EMAIL_PAYMENT_METHOD') . $paymentMethodLabel ?></p>
                                                        <p><?php echo JText::_('SR_EMAIL_EMAIL') . $reservation->customer_email ?></p>
                                                        <p><?php echo JText::_('SR_EMAIL_LENGTH_OF_STAY') ?>
															<?php
															if ($reservation->booking_type == 0) :
																echo JText::plural('SR_NIGHTS', $stayLength);
															else :
																echo JText::plural('SR_DAYS', $stayLength + 1);
															endif;
															?>
                                                        </p>
														<?php if (!empty($reservation->coupon_code)) : ?>
                                                            <p><?php echo JText::_('SR_EMAIL_COUPON_CODE') . $reservation->coupon_code ?></p>
														<?php endif ?>
                                                        <p><?php echo JText::_('SR_EMAIL_NOTE') . (SRPlugin::isEnabled('customfield') ? $reservationCustomerField->get('customer_note', '') : $reservation->note) ?> </p>
                                                    </td>
                                                    <td class="expander"></td>
                                                </tr>
                                            </table>

                                        </td>
                                        <td class="wrapper last">

                                            <table class="six columns">
                                                <tr>
                                                    <td>
                                                        <p><?php echo JText::_('SR_EMAIL_SUB_TOTAL') . $subTotal ?></p>
														<?php if ($discountPreTax && !is_null($totalDiscount)) : ?>
                                                            <p><?php echo JText::_('SR_EMAIL_TOTAL_DISCOUNT') . '-' . $totalDiscount ?></p>
														<?php endif; ?>
                                                        <p><?php echo JText::_('SR_EMAIL_TAX') . $tax ?> </p>
														<?php if (!$discountPreTax && !is_null($totalDiscount)) : ?>
                                                            <p><?php echo JText::_('SR_EMAIL_TOTAL_DISCOUNT') . '-' . $totalDiscount ?></p>
														<?php endif; ?>
                                                        <p><?php echo JText::_('SR_EMAIL_EXTRA_TAX_EXCL') . $totalExtraPriceTaxExcl ?></p>
                                                        <p><?php echo JText::_('SR_EMAIL_EXTRA_TAX_AMOUNT') . $extraTax ?> </p>
														<?php if ($reservation->payment_method_surcharge > 0) : ?>
                                                            <p>
																<?php echo JText::sprintf("SR_EMAIL_PAYMENT_METHOD_SURCHARGE_AMOUNT", $paymentMethodLabel) . $paymentMethodSurcharge; ?>
                                                            </p>
														<?php endif; ?>
														<?php if ($reservation->payment_method_discount > 0) : ?>
                                                            <p>
																<?php echo JText::sprintf("SR_PAYMENT_METHOD_DISCOUNT_AMOUNT", $paymentMethodLabel) . '-' . $paymentMethodDiscount; ?>
                                                            </p>
														<?php endif; ?>
														<?php if ($enableTouristTax) : ?>
                                                            <p><?php echo JText::_('SR_EMAIL_TOURIST_TAX') . $touristTax; ?></p>
														<?php endif ?>
                                                        <p><?php echo JText::_('SR_EMAIL_GRAND_TOTAL') . $grandTotal ?> </p>
                                                        <p><?php echo JText::_('SR_EMAIL_DEPOSIT_AMOUNT') . $depositAmount ?> </p>
                                                        <p><?php echo JText::_('SR_EMAIL_TOTAL_PAID') . $totalPaid ?> </p>
                                                        <p><?php echo JText::_('SR_EMAIL_DUE_AMOUNT') . $dueAmount ?> </p>
                                                    </td>
                                                    <td class="expander"></td>
                                                </tr>
                                            </table>

                                        </td>
                                    </tr>
                                </table>

                                <h5 class="email_heading">
									<?php echo JText::_('SR_GUEST_INFO'); ?>
                                </h5>
	                            <?php

	                            $fields = [];

	                            if (!empty($reservationCustomerField))
	                            {
		                            $cid    = [(int) $asset->category_id];
		                            $fields = SRCustomFieldHelper::findFields(['context' => 'com_solidres.customer'], $cid, $reservation->customer_language ?: null);
		                            $tmpFields = [];

		                            foreach($fields as $field)
		                            {
			                            if ($field->field_name != 'customer_email2')
			                            {
				                            $tmpFields[] = $field;
			                            }
		                            }

		                            $fields = $tmpFields;
		                            SRCustomFieldHelper::setFieldDataValues($reservationCustomerField);
		                            $renderValue = function ($field) {
			                            $value = SRCustomFieldHelper::displayFieldValue($field->field_name);

			                            if ($field->type == 'file')
			                            {
				                            $fileName = basename($value);

				                            if (strpos($fileName, '_') !== false)
				                            {
					                            $parts    = explode('_', $fileName, 2);
					                            $value    = $parts[1];
				                            }
			                            }

			                            return $value;
		                            };
	                            }

	                            $customFieldLength = count($fields);
	                            $partialNumber     = ceil($customFieldLength / 2);

	                            if ($customFieldLength): ?>
                                    <table class="row">
                                        <tr align="left">
                                            <td class="wrapper" align="left" valign="top">
					                            <?php for ($i = 0; $i <= $partialNumber; $i++): ?>
                                                    <p align="left">
							                            <?php echo JText::_($fields[$i]->title); ?>
                                                        : <?php echo $renderValue($fields[$i]) ?: 'N/A'; ?>
                                                    </p>
					                            <?php endfor; ?>
                                            </td>
                                            <td class="wrapper" align="left" valign="top">
					                            <?php for ($i = $partialNumber + 1; $i < $customFieldLength; $i++): ?>
                                                    <p align="left">
							                            <?php echo JText::_($fields[$i]->title); ?>
                                                        : <?php echo $renderValue($fields[$i]) ?: 'N/A'; ?>
                                                    </p>
					                            <?php endfor; ?>
                                            </td>
                                        </tr>
                                    </table>
								<?php else:
									$fields = array(
										0 => array(
											'SR_CUSTOMER_TITLE' => 'customer_title',
											'SR_FIRSTNAME'      => 'customer_firstname',
											'SR_MIDDLENAME'     => 'customer_middlename',
											'SR_LASTNAME'       => 'customer_lastname',
											'SR_EMAIL'          => 'customer_email',
											'SR_PHONE'          => 'customer_phonenumber',
											'SR_MOBILEPHONE'    => 'customer_mobilephone',
											'SR_COMPANY'        => 'customer_company',
											'SR_CUSTOMER_IP'    => 'customer_ip',
										),
										1 => array(
											'SR_CUSTOMER_ADDRESS1'     => 'customer_address1',
											'SR_CUSTOMER_ADDRESS2'     => 'customer_address2',
											'SR_CUSTOMER_CITY'         => 'customer_city',
											'SR_CUSTOMER_ZIPCODE'      => 'customer_zipcode',
											'SR_FIELD_COUNTRY_LABEL'   => 'customer_country_name',
											'SR_FIELD_GEO_STATE_LABEL' => 'customer_geostate_name',
											'SR_VAT_NUMBER'            => 'customer_vat_number',
											'SR_NOTES'                 => 'note',
										)
									);
									?>
                                    <table class="row">
                                        <tr align="left">
                                            <td class="wrapper" align="left" valign="top">
												<?php foreach ($fields[0] as $key => $name): ?>
													<?php if (!empty($reservation->{$name})): ?>
                                                        <p align="left">
															<?php echo JText::_($key); ?>
                                                            : <?php echo trim($reservation->{$name}); ?>
                                                        </p>
													<?php endif; ?>
												<?php endforeach; ?>
                                            </td>
                                            <td class="wrapper" align="left" valign="top">
												<?php foreach ($fields[1] as $key => $name): ?>
													<?php if (!empty($reservation->{$name})): ?>
                                                        <p align="left">
															<?php echo JText::_($key); ?>
                                                            : <?php echo trim($reservation->{$name}); ?>
                                                        </p>
													<?php endif; ?>
												<?php endforeach; ?>
                                            </td>
                                        </tr>
                                    </table>
								<?php endif; ?>

								<?php if (!empty($bankwireInstructions)) : ?>
                                    <h5 class="email_heading"><?php echo JText::_("SR_EMAIL_BANKWIRE_INFO") ?></h5>

                                    <table class="row">
                                        <tr>
                                            <td class="wrapper last">

                                                <table class="twelve columns">
                                                    <tr>
                                                        <td>
                                                            <p>
																<?php
																echo $bankwireInstructions['account_name'];
																?>
                                                            </p>
                                                            <p>
																<?php
																echo $bankwireInstructions['account_details'];
																?>
                                                            </p>
                                                        </td>
                                                        <td class="expander"></td>
                                                    </tr>
                                                </table>

                                            </td>
                                        </tr>
                                    </table>

								<?php endif ?>

								<?php if (!empty($paymentMethodCustomEmailContent)) : ?>
                                    <h5 class="email_heading"><?php echo JText::_("SR_EMAIL_PAYMENT_METHOD_INFO") ?></h5>

                                    <table class="row">
                                        <tr>
                                            <td class="wrapper last">

                                                <table class="twelve columns">
                                                    <tr>
                                                        <td>
															<?php
															echo $paymentMethodCustomEmailContent
															?>
                                                        </td>
                                                        <td class="expander"></td>
                                                    </tr>
                                                </table>

                                            </td>
                                        </tr>
                                    </table>

								<?php endif ?>

                                <h5 class="email_heading"><?php echo JText::_("SR_ROOM_EXTRA_INFO") ?></h5>

								<?php foreach ($reservation->reserved_room_details as $room) : ?>
                                    <p class="email_roomtype_name">
										<?php echo $room->room_type_name ?>
                                    </p>

                                    <table class="row">
                                        <tr>
                                            <td class="wrapper">

                                                <table class="six columns">
                                                    <tr>
                                                        <td>
                                                            <p>
																<?php echo JText::_("SR_GUEST_FULLNAME") . ': ' . $room->guest_fullname ?>
                                                            </p>
                                                            <p>
																<?php foreach ($room->other_info as $info) : if (substr($info->key, 0, 7) == 'smoking') : ?>
																	<?php echo JText::_('SR_' . $info->key) . ': ' . ($info->value == '' ? JText::_('SR_NO_PREFERENCES') : ($info->value == 1 ? JText::_('SR_YES') : JText::_('SR_NO'))); ?>
																<?php endif; endforeach; ?>
                                                            </p>
                                                            <p>
																<?php echo JText::_("SR_ADULT_NUMBER") . ': ' . $room->adults_number ?>
                                                            </p>
															<?php if ($room->children_number > 0) : ?>
                                                                <p>
																	<?php echo JText::_("SR_CHILDREN_NUMBER") . ': ' . $room->children_number ?>
                                                                </p>
																<?php foreach ($room->other_info as $info) : ?>
                                                                    <ul>
																		<?php if (substr($info->key, 0, 5) == 'child') : ?>
                                                                            <li>
																				<?php echo JText::_('SR_' . $info->key) . ': ' . JText::plural('SR_CHILD_AGE_SELECTION', $info->value) ?>
                                                                            </li>
																		<?php endif; ?>
                                                                    </ul>
																<?php endforeach; ?>
															<?php endif; ?>
                                                        </td>
                                                        <td class="expander"></td>
                                                    </tr>
                                                </table>

                                            </td>
                                            <td class="wrapper last">

                                                <table class="six columns">
                                                    <tr>
                                                        <td>
															<?php if (isset($room->extras) && is_array($room->extras)) : ?>
                                                                <p><?php echo JText::_('SR_EMAIL_EXTRAS_ITEMS') ?></p>
																<?php foreach ($room->extras as $extra) : ?>

                                                                    <dl>
                                                                        <dt>
																			<?php echo $extra->extra_name ?>
                                                                        </dt>
                                                                        <dd>
																			<?php echo JText::_('SR_EMAIL_EXTRA_QUANTITY') . $extra->extra_quantity ?>
                                                                        </dd>
                                                                        <dd>
																			<?php
																			$roomExtraCurrency = clone $baseCurrency;
																			$roomExtraCurrency->setValue($extra->extra_price);
																			echo JText::_('SR_EMAIL_EXTRA_PRICE') . $roomExtraCurrency->format() ?>
                                                                        </dd>
                                                                    </dl>
																<?php endforeach; ?>
															<?php endif; ?>
                                                        </td>
                                                        <td class="expander"></td>
                                                    </tr>
                                                </table>

                                            </td>
                                        </tr>
                                    </table>
									<?php
									$showTariffInEmail = $asset->params['show_tariff_in_email'];
									$showTariffInEmail = isset($showTariffInEmail) ? $showTariffInEmail : 0;
									if (0 != $showTariffInEmail) :
										?>
                                        <table class="row">
                                            <tr>
                                                <td class="wrapper">

                                                    <table class="twelve columns">
                                                        <tr>
                                                            <td>
																<?php

																if (1 == $showTariffInEmail || 3 == $showTariffInEmail) :
																	echo $room->tariff_title;
																endif;
																?>

																<?php if (3 == $showTariffInEmail) : ?>
                                                                    <br/>
																<?php endif; ?>

																<?php
																if (2 == $showTariffInEmail || 3 == $showTariffInEmail) :
																	echo $room->tariff_description;
																endif;
																?>
                                                            </td>
                                                            <td class="expander"></td>
                                                        </tr>

                                                    </table>

                                                </td>
                                            </tr>
                                        </table>
									<?php endif; endforeach; ?>

                                <h5 class="email_heading"><?php echo JText::_("SR_EMAIL_OTHER_INFO") ?></h5>

                                <table class="row">
                                    <tr>
                                        <td class="wrapper last">

                                            <table class="twelve columns">
                                                <tr>
                                                    <td>
                                                        <dl>
															<?php
															if (isset($reservation->extras) && is_array($reservation->extras)) :
																foreach ($reservation->extras as $extra) : ?>
                                                                    <dt>
																		<?php echo $extra->extra_name ?>
                                                                    </dt>
                                                                    <dd>
																		<?php echo JText::_('SR_EMAIL_EXTRA_QUANTITY') . $extra->extra_quantity ?>
                                                                    </dd>
                                                                    <dd>
																		<?php
																		$bookingExtraCurrency = clone $baseCurrency;
																		$bookingExtraCurrency->setValue($extra->extra_price);
																		echo JText::_('SR_EMAIL_EXTRA_PRICE') . $bookingExtraCurrency->format()
																		?>
                                                                    </dd>
																<?php
																endforeach;
															endif;
															?>
                                                        </dl>
                                                    </td>
                                                    <td class="expander"></td>
                                                </tr>
                                            </table>

                                        </td>
                                    </tr>
                                </table>

                                <table class="row footer">
                                    <tr>
                                        <td class="wrapper">

                                            <table class="six columns">
                                                <tr>
                                                    <td class="left-text-pad">

                                                        <h5><?php echo JText::_('SR_EMAIL_CONNECT_WITH_US') ?></h5>

														<?php if (!empty($asset->reservationasset_extra_fields['facebook_link'])
															&& $asset->reservationasset_extra_fields['facebook_show'] == 1) : ?>
                                                            <table class="tiny-button facebook">
                                                                <tr>
                                                                    <td>
                                                                        <a href="<?php echo $asset->reservationasset_extra_fields['facebook_link'] ?>">Facebook</a>
                                                                    </td>
                                                                </tr>
                                                            </table>
														<?php endif; ?>

                                                        <br>

														<?php if (!empty($asset->reservationasset_extra_fields['twitter_link'])
															&& $asset->reservationasset_extra_fields['twitter_show'] == 1) : ?>
                                                            <table class="tiny-button twitter">
                                                                <tr>
                                                                    <td>

                                                                        <a href="<?php echo $asset->reservationasset_extra_fields['twitter_link'] ?>">Twitter</a>

                                                                    </td>
                                                                </tr>
                                                            </table>
														<?php endif; ?>

                                                        <br>

														<?php if (!empty($asset->reservationasset_extra_fields['gplus_link'])
															&& $asset->reservationasset_extra_fields['gplus_show'] == 1) : ?>
                                                            <table class="tiny-button google-plus">
                                                                <tr>
                                                                    <td>

                                                                        <a href="<?php echo $asset->reservationasset_extra_fields['gplus_link'] ?>">Google
                                                                            Plus</a>

                                                                    </td>
                                                                </tr>
                                                            </table>
														<?php endif; ?>

                                                    </td>
                                                    <td class="expander"></td>
                                                </tr>
                                            </table>

                                        </td>
                                        <td class="wrapper last">

                                            <table class="six columns">
                                                <tr>
                                                    <td class="last right-text-pad">
                                                        <h5><?php echo JText::_('SR_EMAIL_CONTACT_INFO') ?></h5>
                                                        <p>
															<?php
															echo JText::_('SR_EMAIL_ADDRESS') . $asset->address_1 . ', ' . $asset->city . ', ' . (!empty($asset->geostate_code_2) ? $asset->geostate_code_2 . ' ' : '') . $asset->postcode
															?>
                                                        </p>
                                                        <p><?php echo JText::_('SR_EMAIL_PHONE') ?><?php echo $asset->phone ?></p>
                                                        <p><?php echo JText::_('SR_EMAIL_EMAIL') ?><a
                                                                    href="mailto:<?php echo $asset->email ?>"><?php echo $asset->email ?></a>
                                                        </p>
                                                    </td>
                                                    <td class="expander"></td>
                                                </tr>
                                            </table>

                                        </td>
                                    </tr>
                                </table>

                                <!-- container end below -->
                            </td>
                        </tr>
                    </table>
                    <!-- End of email body -->

                </center>
            </td>
        </tr>
    </table>
<?php
echo SRLayoutHelper::render('emails.footer');
