<?php

/**
 * @package Qubic
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2017 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('resticted aceess');
require_once JPATH_ROOT . '/components/com_sppagebuilder/helpers/articles.php';



class SppagebuilderAddonLatest_post extends SppagebuilderAddons {

    public function render() {
        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';
        $title = (isset($this->addon->settings->title) && $this->addon->settings->title) ? $this->addon->settings->title : '';
        $heading_selector = (isset($this->addon->settings->heading_selector) && $this->addon->settings->heading_selector) ? $this->addon->settings->heading_selector : '';
        $title_fontsize = (isset($this->addon->settings->title_fontsize) && $this->addon->settings->title_fontsize) ? $this->addon->settings->title_fontsize : '';
        $title_text_color = (isset($this->addon->settings->title_text_color) && $this->addon->settings->title_text_color) ? $this->addon->settings->title_text_color : '';
        $title_margin_top = (isset($this->addon->settings->title_margin_top) && $this->addon->settings->title_margin_top) ? $this->addon->settings->title_margin_top : '';
        $title_margin_bottom = (isset($this->addon->settings->title_margin_bottom) && $this->addon->settings->title_margin_bottom) ? $this->addon->settings->title_margin_bottom : '';
        $item_limit = (isset($this->addon->settings->item_limit) && $this->addon->settings->item_limit) ? $this->addon->settings->item_limit : '';
        $category = (isset($this->addon->settings->category) && $this->addon->settings->category) ? $this->addon->settings->category : '';
        $ordering = (isset($this->addon->settings->ordering) && $this->addon->settings->ordering) ? $this->addon->settings->ordering : '';
        $post_type = (isset($this->addon->settings->post_type) && $this->addon->settings->post_type) ? $this->addon->settings->post_type : '';
        $column_no = (isset($this->addon->settings->column_no) && $this->addon->settings->column_no) ? $this->addon->settings->column_no : '';

        $authorised = (isset($this->addon->settings->authorised) && $this->addon->settings->authorised) ? $this->addon->settings->authorised : '';
        $item = (isset($this->addon->settings->item) && $this->addon->settings->item) ? $this->addon->settings->item : '';
        $access = (isset($this->addon->settings->access) && $this->addon->settings->access) ? $this->addon->settings->access : '';

        $items = SppagebuilderHelperArticles::getArticles($item_limit, $ordering, $category, TRUE, $post_type);

            $output  = '<div class="sppb-addon sppb-addon-latest-posts ' . $class . '">';
            $output .= '<div class="sppb-addon-content">';
            $output .= '<div class="latest-posts clearfix">';

            foreach(array_chunk($items, $column_no) as $items) {
                $output .= '<div class="sppb-row">';

                foreach ($items as $item) {

                    // Get item params
                    $params_decode = json_decode($item->attribs);
                    $images = json_decode($item->images);

                    $image = '';
                    if(isset($params_decode->spfeatured_image) && $params_decode->spfeatured_image ) {
                        $image = JURI::root() . $params_decode->spfeatured_image;
                    } elseif (isset($images->image_intro) && !empty($images->image_intro)) {
                        $image = $images->image_intro;
                    } elseif (isset($images->image_fulltext) && !empty($images->image_fulltext)) {
                        $image = $images->image_fulltext;
                    }

                    $output .= '<div class="latest-post sppb-col-sm-' . round(12/$column_no) . '">';

                    $output .= '<div class="latest-post" style="background-image: url('. $image .');">';

                    $output .= '<div class="latest-post-inner match-height">';
                    $output .='<span class="link-icon">';
                    $output .='<a href="' . $item->link . '"><i class="fa fa-chain"></i></a>';
                    $output .='</span>';
                    $output .= '<div class="latest-post-content">';
                    $output .= '<div class="entry-meta"><span class="entry-date"> ' . JHtml::_('date', $item->created, 'DATE_FORMAT_LC3') . '</span></div>';
                    $output .= '<'. $heading_selector .' class="entry-title"><a href="' . $item->link . '">' . $item->title . '</a></'. $heading_selector .'>';

                    $output .= '</div>';
                    $output .= '</div>';

                    $output .= '</div>';
                $output .= '</div>'; //.sppb-col-sm
            }
            $output .= '</div>'; //.sppb-row
        } // END Array_chunk

        $output .= '</div>';
        $output .= '</div>';
        $output .= '</div>';

        return $output;

    }

    public function scripts() {
        $app = JFactory::getApplication();
        $doc = JFactory::getDocument();
        $base_path = JURI::base() . '/templates/' . $app->getTemplate() . '/js/';
        return array($base_path . 'matchheight.js');
    }

}
